> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-fix-nav-issues.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization details

> Returns details of a single organization. In order to get the details, the auth key must belong to the organization.



## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}
openapi: 3.0.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}:
    get:
      tags:
        - Organization
      summary: Get organization details
      description: >-
        Returns details of a single organization. In order to get the details,
        the auth key must belong to the organization.
      parameters:
        - in: path
          name: organizationId
          description: ID of the requested organization.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/Organization'
        '400':
          description: >-
            The server cannot or will not process the request due to something
            that is perceived to be a client error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
components:
  schemas:
    Organization:
      properties:
        id:
          description: Unique organization ID.
          type: string
          format: uuid
        createdAt:
          description: The timestamp the organization was created. ISO-8601.
          type: string
          format: date-time
        name:
          description: Name of the organization.
          type: string
        privateEndpoints:
          type: array
          description: List of private endpoints for organization
          items:
            $ref: '#/components/schemas/OrganizationPrivateEndpoint'
        byocConfig:
          type: array
          description: BYOC configuration for the organization
          items:
            $ref: '#/components/schemas/ByocConfig'
    OrganizationPrivateEndpoint:
      properties:
        id:
          description: Private endpoint identifier
          type: string
        description:
          description: Description of private endpoint
          type: string
        cloudProvider:
          description: Cloud provider in which the private endpoint is lcoated
          type: string
          enum:
            - gcp
            - aws
            - azure
        region:
          description: Region in which the private endpoint is located
          type: string
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
    ByocConfig:
      properties:
        id:
          description: Unique identifier of the BYOC configuration
          type: string
        state:
          description: State of the infrastructure
          type: string
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
        accountName:
          description: Name of the account
          type: string
        regionId:
          description: >-
            Region for which the BYOC has been configured and where it is
            possible to create services
          type: string
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
        cloudProvider:
          description: Cloud provider of the region
          type: string
          enum:
            - gcp
            - aws
            - azure
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````